<?php
	require("../__common__/__define_common.php");
	require("../__common__/include-common-all.php");
	require("../__common__/include-common-html.php");
	my_session_start();
	require("../account/__logincheck.php");
	if (defined("HTML_TITLE_tools")) {
		define("HTML_TITLE", HTML_TITLE_tools);
	} else {
		define("HTML_TITLE", "MyHome ツール");
	}
	html_header(HTML_TITLE, '', '#ffffff');
	page_header(False);
	tools_list();
	page_footer();
	html_footer();
	exit();
?>
<?php
function tools_list() {
?>
<style>
img {
	margin-top: -5px;
	vertical-align: middle;
}
</style>
<script>
function monotone_window(form) {
	url = form.url.value;
	saveCookie("tools_monotone_url", url);
	w01 = window.open("monotone.php?url=" + url, "", "");
}
function zoom_window(form) {
	url = form.url.value;
	for (i=0; i<form.zoom_sel.options.length; i++) {
		if (form.zoom_sel.options[i].selected == true) {
			zoom = form.zoom_sel.options[i].value;
		}
	}
	saveCookie("tools_zoom_url", url);
	w01 = window.open("zoom.php?url=" + url + "&zoom=" + zoom, "", "");
}
function tategaki_window(form) {
	url = form.url.value;
	for (i=0; i<form.fontsize_sel.options.length; i++) {
		if (form.fontsize_sel.options[i].selected == true) {
			fs = form.fontsize_sel.options[i].value;
		}
	}
	for (i=0; i<form.lineheight_sel.options.length; i++) {
		if (form.lineheight_sel.options[i].selected == true) {
			lh = form.lineheight_sel.options[i].value;
		}
	}
	for (i=0; i<form.height_sel.options.length; i++) {
		if (form.height_sel.options[i].selected == true) {
			hh = form.height_sel.options[i].value;
		}
	}
	saveCookie("tools_tategaki_url", url);
	w01 = window.open("tategaki.php?url=" + url + "&fs=" + fs + "&lh=" + lh + "&h=" + hh, "", "");
}
</script>
<div class="tools_list">
<p>ツール</p>
<!-- ######## -->
<div style="width:450px;float:left;">
<ul>
<li><span style="background-color: #FFDCB5; padding: 3px 0 3px 0;"><a href="../kakeibo/" target="_blank">(簡易) 預貯金管理</a></span>&nbsp;<img src="icon/yen.png"></li>
<li><a href="calc.php" target="_blank">縦計だけの表計算</a>&nbsp;<img src="icon/tables2.png"></li>
<li><span style="background-color: #FFDCB5; padding: 3px 0 3px 0;"><a href="../gpslog" target="_blank">GPSログ View by 轍(Wadachi)</a></span></li>
<li><span style="background-color: #CDF7CD; padding: 3px 0 3px 0;"><a href="google-maps-earth-v3.php" target="_blank">Google Maps <span style="color:red">API V3版</span> (Earthなし)</a></span></li>
<li><span style="background-color: #CDF7CD; padding: 3px 0 3px 0;"><a href="google-maps-earth-multi-v3.php" target="_blank">Google Maps (複数地点) <span style="color:red">API V3版</span> (Earthなし)</a></span></li>
<li><a href="google-maps-earth.php" target="_blank">Google Maps & Earth <span style="color:orange">API V2版</span></a>&nbsp;<img src="icon/earth.png">
<br><span style="line-height:20px;margin-left:10px;"><img src="icon/earth.png"><a href="http://code.google.com/intl/ja/apis/earth/" target="_blank">Google Earth プラグイン</a>をインストールする必要があります。</span></li>
<li><a href="google-maps-earth-multi.php" target="_blank">Google Maps & Earth (複数地点) <span style="color:orange">API V2版</span></a>&nbsp;<img src="icon/earth.png"></li>
<li><a href="google-maps-earth-multi-uncertain.php" target="_blank">Google Maps & Earth (複数地点/不確実版) <span style="color:orange">API V2版</span></a>&nbsp;<img src="icon/earth.png"></li>
<li><span style="background-color: #CDE7F7; padding: 3px 0 3px 0;"><a href="google-translate.php" target="_blank">Google ホームページ対訳</a></span></li>
<li><span style="background-color: #CDE7F7; padding: 3px 0 3px 0;"><a href="pane2.php" target="_blank">横2段 テキストエリア</a></span></li>
<li><span style="background-color: #CDE7F7; padding: 3px 0 3px 0;"><a href="tategaki-form.php" target="_blank">テキスト縦書き表示</a></span> (Chrome,IE6～8)<br>
</li>
<li><span style="background-color: #FFDCD8; padding: 3px 0 3px 0;"><a href="../__common__/color-chart.php" target="_blank">HTML カラーチャート</a></span>&nbsp;<img src="icon/color2_16x16.gif"></li>
<li><span style="background-color: #FFDCD8; padding: 3px 0 3px 0;"><a href="colorpicker.php" target="_blank">HTML カラーチャート ＋ Photoshop-like JavaScript Color Picker</a></span>&nbsp;<img src="icon/color2_16x16.gif"></li>
<li><a href="html-text-mail.php" target="_blank">HTML テキスト抽出 & メール送信</a>&nbsp;<img src="icon/document-list.png"></li>
<li><a href="html-text-multi.php" target="_blank">HTML テキスト抽出 複数一括</a>&nbsp;<img src="icon/document-list.png"></li>
<li><span style="background-color: #FFEC99; padding: 3px 0 3px 0;"><a href="html-text-multi-tag.php" target="_blank">HTML テキスト抽出 複数一括 (タグ指定)</a></span>&nbsp;<img src="icon/document-list.png"></li>
<?php	if ($_SESSION['システム管理者'] == "YES") { ?>
<li><a href="html-get-url-img.php" target="_blank">HTML URL抽出 & ファイルダウンロード</a>&nbsp;<img src="icon/download.png"> (システム管理者用)</li>
<li><a href="html-get-url-img-simplehtmldom.php" target="_blank">HTML URL抽出 & ファイルダウンロード (Simple HTML DOM Parser版:メモリオーバーフローの可能性あり)</a>&nbsp;<img src="icon/download.png"> (システム管理者用)</li>
<?php	} ?>
<li><a href="table-layout.php" target="_blank">HTML テーブル CSSスタイル シミュレーション</a></li>
<li><a href="excel-graph-bluff.php" target="_blank">Excel to グラフ by Bluff</a>&nbsp;<img src="icon/bar_graph.png"></li>
<li><a href="excel-graph-html5.php" target="_blank">Excel to グラフ by HTML5</a>&nbsp;<img src="icon/bar_graph.png"></li>
<li><a href="excel-graph-google.php" target="_blank">Excel to グラフ by Google</a>&nbsp;<img src="icon/bar_graph.png"></li>
</ul>
</div>
<!-- ######## -->
<div style="width:450px;float:left;margin-left:3px;">
<ul>
<?php	if ($_SESSION['システム管理者'] == "YES") { ?>
<li><span style="background-color: #CDE7F7; padding: 3px 0 3px 0;"><a href="../db_tool/mysql-database.php" target="_blank">MySQL管理ツール</a></span>&nbsp;<img src="icon/database.png"> (システム管理者用)</li>
<li><span style="background-color: #CDE7F7; padding: 3px 0 3px 0;"><a href="../db_tool/backup-mydb.php" target="_blank">実運用環境バックアップ</a></span>&nbsp;<img src="icon/database_go.png"> (システム管理者用)</li>
<li><span style="background-color: #FFEC99; padding: 3px 0 3px 0;"><a href="file-manager.php" target="_blank">ファイルマネージャー（暗号化/復号化付き）</a></span>&nbsp;<img src="icon/folder-open.png"> (システム管理者用)</li>
<li><span style="background-color: #FFEC99; padding: 3px 0 3px 0;"><a href="code-file-view.php" target="_blank">PHP/JavaScript ソースコード表示&編集＋ファイルマネージャー</a></span>&nbsp;<img src="icon/folder-open-document-text.png"><br>
<span style="margin-left:10px;"> (システム管理者用)</span></li>
<?php	} ?>
<?php	if ($_SESSION['システム管理者'] == "YES") { ?>
<li><a href="mecab.php" target="_blank">MeCab：漢字読み変換</a> (システム管理者用)</li>
<li><a href="mecab-csv.php" target="_blank">MeCab：漢字読み変換 (CSVファイル一括)</a> (システム管理者用)</li>
<?php	} ?>
<li><span style="background-color: #d0d0d0; padding: 3px 0 3px 0;"><a href="google-ajax-lang.php" target="_blank">翻訳 by Google AJAX Language API</a></span>　※ Google Translate API v1廃止のため、動作しません。</li>
<li><a href="monotone-page.php" target="_blank">ホームページのモノトーン表示</a> (IEのみ)<br>
	<form method="POST" name="monotone_form">
	URL：<input class="text" type="text" name="url" value="<?= $_COOKIE['tools_monotone_url'] ?>" size="50">
	<input type="button" value="モノトーン表示" onClick="monotone_window(this.form)">
	</form>
</li>
<li><a href="zoom-page.php" target="_blank">ホームページの拡大縮小表示</a> (IEのみ)<br>
	<form method="POST" name="zoom_form">
	URL：<input class="text" type="text" name="url" value="<?= $_COOKIE['tools_zoom_url'] ?>" size="50">
	<select name="zoom_sel">
	<option value="70%">70%</option>
	<option value="80%">80%</option>
	<option value="90%">90%</option>
	<option value="100%" selected>100%</option>
	<option value="110%">110%</option>
	<option value="120%">120%</option>
	<option value="130%">130%</option>
	<option value="140%">140%</option>
	<option value="150%">150%</option>
	</select>
	<input type="button" value="拡大縮小表示" onClick="zoom_window(this.form)">
	</form>
</li>
<li><a href="../psketch/" target="_blank">physicSketch (物理エンジンを使った物体落下シミュレーションゲーム)</a></li>
<li>
<a href="jSnow" target="_blank">jSnow</a>&nbsp;<img src="icon/snow.gif">&nbsp;&nbsp;
<a href="jSnow/input.php" target="_blank">お好み</a>&nbsp;&nbsp;
<a href="jSnow/merry-christmas.php" target="_blank">Merry Christmas</a>&nbsp;&nbsp;
<a href="jSnow/love.php" target="_blank">愛Love</a>&nbsp;&nbsp;
<a href="jSnow/sakura.php" target="_blank">桜吹雪</a>&nbsp;&nbsp;
<a href="snowstorm/" target="_blank">雪嵐</a>&nbsp;&nbsp;
<a href="snowstorm/snowman.php" target="_blank">雪だるま</a>&nbsp;&nbsp;
<a href="snowstorm/sozai.php" target="_blank">アイコン</a>&nbsp;&nbsp;
<a href="snowstorm/christmas.php" target="_blank">クリスマス</a>&nbsp;&nbsp;
<a href="snowstorm/xmas.php" target="_blank">クリスマス(大)</a>&nbsp;&nbsp;
<a href="snowstorm/newyear.php" target="_blank">お正月</a>&nbsp;&nbsp;
<a href="fireworks/" target="_blank">花火</a>&nbsp;&nbsp;
</li>
<?php	if ($_SESSION['システム管理者'] == "YES") { ?>
<li><a href="server-variable.php?qs=SAMPLE" target="_blank">PHPサーバー変数一覧(?qs=SAMPLE 付き)</a>&nbsp;<img src="icon/database.png"> (システム管理者用)</li>
<?php	} ?>
<li>URL：<input class="text" type="text" id="win_open_url" value="<?= $_COOKIE['tools_win_open_url'] ?>" style="width:350px;"><br>
<select id="select_width_height" onChange="win_open_width_height();">
<option value="">
<option value="manual">マニュアル作成用(840×500)
<option value="vga">VGA(640×480)
<option value="svga">SVGA(800×600)
<option value="xga">XGA(1024×768)
<option value="arc_v">Xperia arc 縦型(320×569)
<option value="arc_h">Xperia arc 横型(569×320)
<option value="i3_v">iPhone 3 縦型(320×480)
<option value="i3_h">iPhone 3 横型(480×320)
</select>
width：<input class="text" type="text" id="win_open_width" value="<?= $_COOKIE['tools_win_open_width'] ?>" size="8">
height：<input class="text" type="text" id="win_open_height" value="<?= $_COOKIE['tools_win_open_height'] ?>" size="8">
<button onclick="win_open();return false;">Window オープン</button>
</li>
</ul>
</div>
<!-- ######## -->
<script src="../scripts/jquery.js"></script>
<script src="../scripts/jquery.cookie.js"></script>
<script>
function win_open_width_height() {
	if ($("#select_width_height").val() == "manual") {
		$("#win_open_width").val("840");
		$("#win_open_height").val("500");
	} else if ($("#select_width_height").val() == "vga") {
		$("#win_open_width").val("640");
		$("#win_open_height").val("480");
	} else if ($("#select_width_height").val() == "svga") {
		$("#win_open_width").val("800");
		$("#win_open_height").val("600");
	} else if ($("#select_width_height").val() == "xga") {
		$("#win_open_width").val("1024");
		$("#win_open_height").val("768");
	} else if ($("#select_width_height").val() == "arc_v") {
		$("#win_open_width").val("320");
		$("#win_open_height").val("569");
	} else if ($("#select_width_height").val() == "arc_h") {
		$("#win_open_width").val("569");
		$("#win_open_height").val("320");
	} else if ($("#select_width_height").val() == "i3_v") {
		$("#win_open_width").val("320");
		$("#win_open_height").val("480");
	} else if ($("#select_width_height").val() == "i3_h") {
		$("#win_open_width").val("480");
		$("#win_open_height").val("320");
	}
}
function win_open() {
	win_url = $("#win_open_url").val();
	win_width = $("#win_open_width").val();
	win_height = $("#win_open_height").val();
	$.cookie('tools_win_open_url',win_url,{expires:365});
	$.cookie('tools_win_open_width',win_width,{expires:365});
	$.cookie('tools_win_open_height',win_height,{expires:365});
	window.open(win_url,"","toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width="+win_width+",height="+win_height);
}
</script>
</div>
<?php
}
?>
